{% if is_granted('REFERENT', group) %}
    <span class="pull-right">
        <a href="{{ path('group_admin', { 'group_id':group.id }) }}" class="btn btn-primary"><i
                    class="fa fa-gear"></i>&nbsp;&nbsp;Administration du groupe
        </a>
    </span>
    <span class="pull-right">
        <a href="#"
           actionUrl="{{ path('group_mail', { 'group_id':group.id }) }}" class="modal-form btn btn-primary"><i
                    class="fa fa-paper-plane"></i>&nbsp;&nbsp;Envoyer un mail aux membres
        </a>
    </span>
{% endif %}

<h1 class="{{ group.color }}Color"><i class="fa fa-gears"></i> {{ group }}</h1>

<p>Descriptif : {{ group.description|raw }}</p>

{% if group.subGroups|length > 0 %}
    <p>
        Sous-groupes :
        {% for subGroup in  group.subGroups %}
            <a href="{{ path('group_view', {id : subGroup.id}) }}">
                <span class="label label-{{ subGroup.color ? : yellow }}">{{ subGroup }}</span>
            </a>
        {% endfor %}
    </p>
{% endif %}

{% if group.referedTowns|length > 0 %}
    <p>
        Sur les communes :
        {% for town in  group.referedTowns %}
                <span class="label label-pink">{{ town }}</span>
        {% endfor %}
    </p>
{% endif %}

{% if group.referedDistricts|length > 0 %}
    <p>
        Sur les quartiers :
        {% for district in  group.referedDistricts %}
            <span class="label label-pink">{{ district }}</span>
        {% endfor %}
    </p>
{% endif %}

{% if group.pages|length > 0 %}
    <p>
        Ressources :
        {% for page in  group.pages %}
            {% if not page.role or (page.role and is_granted(page.role)) %}
                <a href="{{ path('view_page', {'name': page.name}) }}" target="_blank" class="btn btn-primary">{{ page.title }} <i class="fa fa-external-link"></i>
                </a>
            {% endif %}
        {% endfor %}
    </p>
{% endif %}

{% if not group.assemblee %}
    <span class="pull-left" style="padding-right: 1em"><span class="badge">{{ group.members|length }}</span> Citoyen.ne.s inscrit.e.s  </span>
    {% if app.user|default(null) and not app.user.member(group) %}
        {% if  not group.noSubscription %}
            <span>
            <a href="#"
               actionUrl="{{ path('group_subscribe', { 'group_id':group.id, 'user_id': app.user.id }) }}"
               class="modal-form btn btn-primary btn-xs"><i class="fa fa-plus"></i>&nbsp;S'inscrire</a>
            </span>
        {% endif %}
    {% elseif app.user|default(null) %}
        <span class="pull-left">
            - <i class="fa fa-check"></i> Vous êtes inscrit.e à ce groupe.
        </span>
    {% endif %}
{% endif %}
{% if group.copil %}
    <span class="pull-left" style="padding-right: 1em">
        (dont tous.tes les référent.e.s de groupe <span class="badge">{{ group.subReferents|length }}</span>)
    </span>
{% elseif group.assemblee %}
    <span class="pull-left" style="padding-right: 1em">
        Inscrits: tous.tes les citoyen.ne.s
    </span>
    {% else %}
    <span>
        <a href="#"
           actionUrl="{{ path('group_contact', { 'group_id':group.id }) }}" class="modal-form btn btn-primary btn-xs"><i
                    class="fa fa-paper-plane"></i>&nbsp;&nbsp;Envoyer un mail aux référent.e.s
        </a>
    </span>
{% endif %}
{% if group.monetic and is_granted("ROLE_MONETIC") %}
    <span>
        <a href="{{ path('payment_index') }}" class="btn btn-primary btn-xs"><i
                    class="fa fa-euro"></i>&nbsp;Accéder aux paiements
        </a>
    </span>
{% endif %}

{% if group.candidate and is_granted("ROLE_CANDIDATE") %}
    <span>
        <a href="{{ path('candidate_index') }}" class="btn btn-primary btn-xs"><i
                    class="fa fa-user"></i>&nbsp;Accéder aux candidatures
        </a>
    </span>
{% endif %}


<div class="row">
    <div class="col-sm-12" style="margin-top: 1em;">
        {% if group.mandat %}
            <span class="pull-left info-heading yellowColor" data-toggle="collapse" href="#collapseGroupMandat"  style="padding-right: 1em; padding-left: 1em;"><i class="fa fa-file-text"></i> Mandat</span>
        {% endif %}
        {% if group.roadmap %}
            <span class="pull-left info-heading blueColor" data-toggle="collapse" href="#collapseGroupRoadmap" style="padding-right: 1em; padding-left: 1em;"><i class="fa fa-file-text"></i> Feuille de route</span>
        {% endif %}
        {% if is_granted('ROLE_FRIEND') %}
            <span class="pull-left info-heading blueColor" data-toggle="collapse" href="#collapseGroupMembers" style="padding-right: 1em; padding-left: 1em;"><i class="fa fa-users"></i> Membres du groupe</span>
        {% endif %}
        {% if is_granted('REFERENT', group) %}
            <span style="padding: 1em">
                <a href="#" actionUrl="{{ path('group_edit', { 'id':group.id }) }}" class="modal-form btn btn-primary btn-xs">
                    {% if group.roadmap %}<i class="fa fa-edit"></i>&nbsp;&nbsp;Modifier{% else %}<i class="fa fa-plus"></i>&nbsp;&nbsp;Ajouter{% endif %} feuille de route
                </a>
            </span>
        {% endif %}
    </div>

    {% if group.mandat %}
    <div class="collapse {% if not is_granted('ROLE_FRIEND') %}in{% endif %} col-sm-12" id="collapseGroupMandat">
        <div class="sub-panel" style="padding-top: 0px">
        <h3 class="yellowColor"><i class="fa fa-file-text"></i> Mandat: défini par le mouvement</h3>
        {{ group.mandat|raw }}
        </div>
    </div>
    {% endif %}
    {% if group.roadmap %}
    <div class="collapse {% if not is_granted('ROLE_FRIEND') %}in{% endif %} col-sm-12" id="collapseGroupRoadmap" style="margin-left: 0em;">
        <div class="sub-panel" style="padding-top: 0px">
        <h3 class="blueColor"><i class="fa fa-file-text"></i> Feuille de route: définie par le groupe</h3>
        {{ group.roadmap|raw }}
        </div>
    </div>
    {% endif %}
    {% if is_granted('ROLE_FRIEND') %}
        <div class="collapse col-sm-12" id="collapseGroupMembers">
            <div class="sub-panel" style="padding-top: 0px">
            <h3 class="blueColor"><i class="fa fa-users"></i> Les membres du groupe {{ group }}</h3>
            {% include 'AppBundle:Group:members.html.twig' %}
            </div>
        </div>
    {% endif %}
</div>
<br>
<br>
<br>